de.dhbwstuttgart.typeinference

## Class ConstraintPair

- java.lang.Object
- - de.dhbwstuttgart.typeinference.ConstraintPair

-     public class ConstraintPair
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Pair` | `p`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintPair(ConstraintType t1, ConstraintType t2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pair` | `getPair()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### p

          private Pair p

  - ### Constructor Detail

    - #### ConstraintPair

          public ConstraintPair(ConstraintType t1,
                                ConstraintType t2)

  - ### Method Detail

    - #### getPair

          public Pair getPair()